body {
    font-family: 'Roboto', sans-serif;
    margin: 0;
    padding: 0;
    background-color: #fff; /* Fundo branco */
}

.container {
    max-width: 600px; /* Limitei para dar mais o aspecto de card centralizado */
    margin-top: 20px ;
    padding: 20px;
}

.header {
    display: flex;
    align-items: center;
    margin-bottom: 10px;
    color: #333; /* Corrigido para ser visível no fundo cinza */
    padding: 0; /* Removido o padding extra */
    justify-content: flex-start; /* Alinha o botão "Voltar" */
    margin-bottom: 30px;
}

.voltar {
    background: none;
    border: none;
    font-size: 16px;
    font-weight: bold;
    cursor: pointer;
    padding: 0;
    color: #696969;
}

.voltar a {
    text-decoration: none;
    color: #696969;
}


.promotion-card {
    display: flex;
    flex-direction: column;
    background-color: #fff;
    border-radius: 8px;
    overflow: hidden;

    margin-bottom: 30px;
}

.coupon-image-section {
    /* Esta seção ocupa 1/3 da largura */
    display: flex;
    align-items: center;
    justify-content: center;
}

.coupon-image-section img {
    /* Ajuste para caber dentro do espaço, considerando o banner */
    width: 100%; /* Ajuste o tamanho da imagem */
    height: auto;
    border-radius: 10px;
    object-fit: cover;
    /* margin-top: 30px; Desce a imagem por causa do banner */
}

.verde{
    color: #4a8d2e;
    font-weight: 600;
}

.promotion-details-section {
    /* Esta seção ocupa 2/3 da largura */
    padding: 10px 0px;
    display: flex;
    flex-direction: column;
    justify-content: space-between;
}

.promotion-details-section h2 {
    font-size: 1em;
    color: #333;
    margin-top: 0;
    margin-bottom: 0px;
    font-weight: 700; /* Mais negrito */
}

.promotion-details-section p {
    font-size: 0.9em;
    max-height: 50px;
    color: #666;
    line-height: 1.4;
    margin:5px 0;
    /* Garante que o texto se quebre em vez de ser cortado */
    text-overflow: unset;
    /* reticencias */
    overflow: hidden;
    text-overflow: ellipsis;
    display: -webkit-box; /* Essencial para a maioria dos navegadores */
    -webkit-line-clamp: 3; /* Define o número máximo de linhas visíveis (e.g., 3 linhas) */
    -webkit-box-orient: vertical;
    white-space: normal;

}

.register-button {
    background-color: #f0c242; /* Yellow button */
    color: #333;
    border: none;
    padding: 5px;
    border-radius: 5px;
    cursor: pointer;
    font-size: 0.7em;
    font-weight: 500;
    text-decoration: none;
    text-align: center;
    width: 100%;
    transition: background-color 0.3s ease;
}

.register-button:hover {
    background-color: #e0b335;
}

/* Adicione este CSS ao seu arquivo de estilos */
#loading-overlay {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-color: #ffffff; /* Fundo branco, ajuste a cor e opacidade se necessário */
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    z-index: 9999; /* Garante que fique acima de todo o conteúdo */
    transition: opacity 0.5s ease-out; /* Transição suave ao desaparecer */
}

/* Estilo para um spinner de borda simples */
.spinner {
    border: 4px solid #f3f3f3; /* Cor clara da borda */
    border-top: 4px solid #4a8d2e; /* Cor do spinner (ex: sua cor principal) */
    border-radius: 50%;
    width: 40px;
    height: 40px;
    animation: spin 1s linear infinite;
    margin-bottom: 10px;
}

@keyframes spin {
    0% { transform: rotate(0deg); }
    100% { transform: rotate(360deg); }
}

/* Classe para esconder (usada no JS) */
.hidden {
    opacity: 0;
    pointer-events: none; /* Impede cliques no conteúdo por trás */
    visibility: hidden;
}
